curl --request GET \
--url https://api.hakumedia.ai/v2/publishers/{publisher_id}/product-db/catalogs/{catalog_id}/items/search \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hakumedia.ai/v2/publishers/{publisher_id}/product-db/catalogs/{catalog_id}/items/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hakumedia.ai/v2/publishers/{publisher_id}/product-db/catalogs/{catalog_id}/items/search"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hakumedia.ai/v2/publishers/{publisher_id}/product-db/catalogs/{catalog_id}/items/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "product-catalog-item-search",
"url": "/v2/publishers/466478/product-db/catalogs/123456/items/search",
"data": [
{
"item_data": {
"id": "123456789",
"title": "CoolShoes Fancy Sneakers",
"brand": "CoolShoes",
"description": "CoolShoes Fancy Sneakers makes you run faster, jump higher, and leap further.",
"price": "99.99",
"product_url": "https://...",
"thumbnail_url": "https://...",
"product_type": "SHOES",
"product_subtype": "CHILDRENS_SHOES",
"seller_id": "10001234",
"vendor_id": "kzNjc1MzNlZTA4Y2U",
"upc": "123123123123",
"rating": "4.5"
},
"object": "product-catalog-item",
"self": "/v2/publishers/466478/product-db/catalogs/123456/items/123456789",
"id": "123456789"
}
],
"meta": {
"parameters": {
"seller_id": "10001234",
"search_text": "shoes"
},
"has_more": true,
"next_url": "/v2/publishers/466478/product-db/catalogs/123456/items/search?search_text=shoes&page=2"
}
}Search Product Catalog Items
Search for catalog items to help sellers choose which to promote. Recommend searching with seller_id + another field when creating an interface for a seller (advertiser) to find products when creating a promotion. It will limit results to the particular seller. Searching by identifier will find a unique product in the catalog. Searching by GTIN can often yield larger groups of products to promote.
Authorizations
API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.
Path Parameters
Identifier of the Publisher.
Identifier of the Product Catalog.
Query Parameters
The seller's id
Text to search product titles and brands with
The catalog identifier to search for (eg. a SKU)
A GTIN value to search for (eg a UPC)
The page in which to return results from (1-N)
x >= 1The number of results per page to return (1-100)
1 <= x <= 100Response
successful operation
A string denoting the current resource being requested or affected.
"product-catalog-item-search"
The URL of the search endpoint.
"/v2/publishers/466478/product-db/catalogs/123456/items/search"
Array of catalog items matching the search criteria.
Show child attributes
Show child attributes
Search metadata.
Show child attributes
Show child attributes